import { FunctionComponent, VNode } from "preact";
export declare const HydrateContext: import("preact").Context<string | false>;
export interface HydrationProps {
    displayName?: string;
    method?: "idle" | "visible";
    fallback?: VNode<any> | null;
}
export declare function withHydrate<T extends FunctionComponent<any>>(Component: T, hydrationProps?: HydrationProps): T;
